> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a cell batch

> Delete a batch. Its cells are removed from the batch, not deleted.

Parameters
----------
batch_id : str
    Batch to delete.

Returns
-------
Response
    An empty 204.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json delete /cell_batches/{batch_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /cell_batches/{batch_id}:
    delete:
      tags:
        - Cell Batches
      summary: Delete a cell batch
      description: |-
        Delete a batch. Its cells are removed from the batch, not deleted.

        Parameters
        ----------
        batch_id : str
            Batch to delete.

        Returns
        -------
        Response
            An empty 204.
      operationId: delete_cell_batch_cell_batches__batch_id__delete
      parameters:
        - name: batch_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Batch Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.